/*
 *  source code metrics counter
 *  Copyright (C) 2015  NEC Corporation.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#define MSG_LOG_ID_C_00000001 _T("Could not execute external tool (could not generate file to redirect standard output).\n")
#define MSG_LOG_ID_C_00000002 _T("Could not execute external tool (could not generate file to redirect standard error).\n")
#define MSG_LOG_ID_C_00000003 _T("Could not execute external tool (could not create process : %d).\n")
#define MSG_LOG_ID_C_00000004 _T("Could not get external tool exit status. ErrorCode : %d\n")
#define MSG_LOG_ID_C_00000011 _T("External tool execution command : %s\n")
#define MSG_LOG_ID_C_00000012 _T("External tool standard output redirection file : %s\n")
#define MSG_LOG_ID_C_00000013 _T("External tool standard error redirection file : %s\n")
#define MSG_LOG_ID_C_00000015 _T("External tool exit status : %d\n")
#define MSG_LOG_ID_C_00000016 _T("Finished child process : pid=%d\n")
#define MSG_LOG_ID_C_00000017 _T("Could not finish child process : pid=%d\n")
#define MSG_LOG_ID_C_00000022 _T("Could not load FANIN/FANOUT file.")
#define MSG_LOG_ID_C_00000023 _T("FANIN/FANOUT file loaded. : %s, DataSize=%d")
#define MSG_LOG_ID_C_00000024 _T("Could not get function list from FANIN/FANOUT file.")
#define MSG_LOG_ID_C_00000029 _T("Out of memory. (MSG_LOG_ID_C_00000029)\n")
#define MSG_LOG_ID_C_00000030 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000031 _T("Out of memory. (MSG_LOG_ID_C_00000031)\n")
#define MSG_LOG_ID_C_00000032 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000033 _T("NULL is set to argument.(MSG_LOG_ID_C_00000033)\n")
#define MSG_LOG_ID_C_00000034 _T("Start line is greater than end line.(MSG_LOG_ID_C_00000034)\n")
#define MSG_LOG_ID_C_00000035 _T("fseek failed.(MSG_LOG_ID_C_00000035)\n")
#define MSG_LOG_ID_C_00000036 _T("Could not open output file.(MSG_LOG_ID_C_00000036) : %s\n")
#define MSG_LOG_ID_C_00000037 _T("Could not open input file.(MSG_LOG_ID_C_00000037) : %s\n")
#define MSG_LOG_ID_C_00000038 _T("Function name not found.(MSG_LOG_ID_C_00000038)\n")
#define MSG_LOG_ID_C_00000039 _T("Out of memory when allocating memory space for storing line change count measurement results.(MSG_LOG_ID_C_00000039)\n")
#define MSG_LOG_ID_C_00000040 _T("Out of memory when allocating memory space for storing function matching information.(MSG_LOG_ID_C_00000040)\n")
#define MSG_LOG_ID_C_00000041 _T("Unexpected function type is set.(MSG_LOG_ID_C_00000041)\n")
#define MSG_LOG_ID_C_00000042 _T("Could not open measurement target file (source).(MSG_LOG_ID_C_00000042) : %s\n")
#define MSG_LOG_ID_C_00000043 _T("Could not open measurement target file (destination).(MSG_LOG_ID_C_00000043) : %s\n")
#define MSG_LOG_ID_C_00000064 _T("Determine the language identifier of file.\n")
#define MSG_LOG_ID_C_00000065 _T("The file has an unsupported language identifier.\n")
#define MSG_LOG_ID_C_00000066 _T("Language identifier : %s\n")
#define MSG_LOG_ID_C_00000067 _T("File not found. : %s\n")
#define MSG_LOG_ID_C_00000069 _T("Determine if it is a binary file.\n")
#define MSG_LOG_ID_C_00000070 _T("File not found. : %s\n")
#define MSG_LOG_ID_C_00000072 _T("This file is a binary file.\n")
#define MSG_LOG_ID_C_00000073 _T("Could not get the command path.(EC_00000073)\n")
#define MSG_LOG_ID_C_00000074 _T("Could not get the command path.(EC_00000074)\n")
#define MSG_LOG_ID_C_00000080 _T("Windows folder not found.(EC_00000080)\n")
#define MSG_LOG_ID_C_00000104 _T("Out of memory. (EC_00000104)\n")
#define MSG_LOG_ID_C_00000105 _T("Out of memory. (EC_00000105)\n")
#define MSG_LOG_ID_C_00000106 _T("Out of memory. (EC_00000106)\n")
#define MSG_LOG_ID_C_00000107 _T("Invalid compiler version specified.(EC_00000107) : %s\n")
#define MSG_LOG_ID_C_00000108 _T("Target file not specified.(EC_00000108)\n")
#define MSG_LOG_ID_C_00000109 _T("If you specify the option '-diff, -diff_file, or -diff_func, specify two target files (or folders).(EC_00000109)\n")
#define MSG_LOG_ID_C_00000110 _T("Could not create temporary folder.(EC_00000110) : %s\n")
#define MSG_LOG_ID_C_00000111 _T("Could not create temporary folder.(EC_00000111)\n")
#define MSG_LOG_ID_C_00000112 _T("Invalid compiler version specified.(EC_00000112) : %s\n")
#define MSG_LOG_ID_C_00000113 _T("Could not open file.(EC_00000113) : %s\n")
#define MSG_LOG_ID_C_00000114 _T("Could not open file.(EC_00000114) : %s\n")
#define MSG_LOG_ID_C_00000115 _T("Could not write to file.(EC_00000115) : %s\n")
#define MSG_LOG_ID_C_00000116 _T("File not found.(EC_00000116) : %s\n")
#define MSG_LOG_ID_C_00000117 _T("Could not open file.(EC_00000117) : %s\n")
#define MSG_LOG_ID_C_00000122 _T("Out of memory. (EC_00000122)\n")
#define MSG_LOG_ID_C_00000123 _T("Out of memory. (EC_00000123)\n")
#define MSG_LOG_ID_C_00000124 _T("Out of memory. (EC_00000124)\n")
#define MSG_LOG_ID_C_00000125 _T("Help file not found.(EC_00000125) : %s\n")
#define MSG_LOG_ID_C_00000126 _T("File not found. : %s\n")
#define MSG_LOG_ID_C_00000127 _T("Unexpected error: parsing terminated.(EC_00000127) : %s\n")
#define MSG_LOG_ID_C_00000128 _T("Target file not found.(EC_00000128) : %s\n")
#define MSG_LOG_ID_C_00000129 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000130 _T("Could not measure statements (STMT).\n")
#define MSG_LOG_ID_C_00000131 _T("Could not measure statements (STMT).\n")
#define MSG_LOG_ID_C_00000132 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000133 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000134 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000135 _T("Unexpected error: parsing terminated.(EC_00000135) : %s\n")
#define MSG_LOG_ID_C_00000136 _T("Unexpected error: parsing terminated.(EC_00000136) : %s\n")
#define MSG_LOG_ID_C_00000137 _T("The specified files or folder does not exist.(EC_00000137) : %s\n")
#define MSG_LOG_ID_C_00000138 _T("The specified files or folder does not exist.(EC_00000138) : %s\n")
#define MSG_LOG_ID_C_00000139 _T("Folder and file comparison illegal.(EC_00000139)\n")
#define MSG_LOG_ID_C_00000142 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000143 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000144 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000145 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000146 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000147 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000148 _T("Unexpected error: parsing terminated.(EC_00000148) : %s\n")
#define MSG_LOG_ID_C_00000149 _T("Target file not found. : %s\n")
#define MSG_LOG_ID_C_00000151 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000152 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000153 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000154 _T("Could not aggregate measurement results. : %s\n")
#define MSG_LOG_ID_C_00000155 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000156 _T("Could not aggregate measurement results. : %s\n")
#define MSG_LOG_ID_C_00000157 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000158 _T("Could not measure FANIN/FANOUT. : %s\n")
#define MSG_LOG_ID_C_00000159 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000160 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000161 _T("Target file not specified.(EC_00000161)\n")
#define MSG_LOG_ID_C_00000162 _T("Could not open file.(EC_00000162) : %s\n")
#define MSG_LOG_ID_C_00000163 _T("Unexpected error: parsing terminated.(EC_00000163)\n")
#define MSG_LOG_ID_C_00000164 _T("Unexpected error: parsing terminated.(EC_00000164)\n")
#define MSG_LOG_ID_C_00000165 _T("Unexpected error: parsing terminated.(EC_00000165) : %s\n")
#define MSG_LOG_ID_C_00000166 _T("Target file not found. : %s\n")
#define MSG_LOG_ID_C_00000167 _T("Could not generate class file list.(EC_00000167)\n")
#define MSG_LOG_ID_C_00000168 _T("Invalid temporary file format.\n")
#define MSG_LOG_ID_C_00000169 _T("An error occurred when outputting FANIN/FANOUT.\n")
#define MSG_LOG_ID_C_00000170 _T("An error occurred when outputting FANIN/FANOUT.\n")
#define MSG_LOG_ID_C_00000171 _T("An error occurred when outputting FANIN/FANOUT.\n")
#define MSG_LOG_ID_C_00000172 _T("An error occurred when outputting FANIN/FANOUT.\n")
#define MSG_LOG_ID_C_00000173 _T("An error occurred when outputting FANIN/FANOUT.\n")
#define MSG_LOG_ID_C_00000177 _T("Could not register signal handler.(EC_00000177)\n")
#define MSG_LOG_ID_C_00000178 _T("Could not measure target file.\n")
#define MSG_LOG_ID_C_00000179 _T("Could not generate function information list.\n")
#define MSG_LOG_ID_C_00000180 _T("Could not open file.\n")
#define MSG_LOG_ID_C_00000181 _T("The path of the external tool specified in the property file is incorrect.(EC_00000181) : %s\n")
#define MSG_LOG_ID_C_00000182 _T("The external tool specified in the property file is a file that cannot be executed.(EC_00000182) : %s\n")
#define MSG_LOG_ID_C_00000183 _T("Invalid compiler version specified.(EC_00000183) : %s\n")
#define MSG_LOG_ID_C_00000188 _T("Could not load NKF dll file.(NKFDLL_SETOPTION)(EC_00000188) : %d\n")
#define MSG_LOG_ID_C_00000189 _T("Could not load NKF dll file.(NKFDLL_FILECONVERT2)(EC_00000189) : %d\n")
#define MSG_LOG_ID_C_00000191 _T("Failed to free NKF dll.(EC_00000191) : %d\n")
#define MSG_LOG_ID_C_00000192 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000193 _T("Could not execute external tool : %s\n")
#define MSG_LOG_ID_C_00000195 _T("Start command.\n")
#define MSG_LOG_ID_C_00000196 _T("Version %s\n")
#define MSG_LOG_ID_C_00000197 _T("Version %s\n")
#define MSG_LOG_ID_C_00000205 _T("The number of files or folders that were determined to be invalid. : %d\n")
#define MSG_LOG_ID_C_00000206 _T("success number of Files : %d\n")
#define MSG_LOG_ID_C_00000207 _T("error number of Files : %d\n")
#define MSG_LOG_ID_C_00000208 _T("total number of Files : %d\n")
#define MSG_LOG_ID_C_00000209 _T("[Measurement information]\n")
#define MSG_LOG_ID_C_00000210 _T("total number of Files : %d\n")
#define MSG_LOG_ID_C_00000211 _T("success number of Files : %d\n")
#define MSG_LOG_ID_C_00000212 _T("error number of Files : %d\n")
#define MSG_LOG_ID_C_00000213 _T("[End - status : %d]\n")
#define MSG_LOG_ID_C_00000217 _T("")
#define MSG_LOG_ID_C_00000218 _T("Output file path. : %s\n")
#define MSG_LOG_ID_C_00000221 _T("Start basic line count measurement.\n")
#define MSG_LOG_ID_C_00000222 _T("Target file. : %s\n")
#define MSG_LOG_ID_C_00000223 _T("Target file No. : %d\n")
#define MSG_LOG_ID_C_00000224 _T("The file has an unsupported language identifier.(Binary/Class/Jar) : %s\n")
#define MSG_LOG_ID_C_00000225 _T("Unspecified language identifier file as measurement target. : %s\n")
#define MSG_LOG_ID_C_00000226 _T("Target file. : %s\n")
#define MSG_LOG_ID_C_00000227 _T("Target file's language identifier. : %s\n")
#define MSG_LOG_ID_C_00000228 _T("Target file's language identifier No. : %d\n")
#define MSG_LOG_ID_C_00000229 _T("Target file. : %s\n")
#define MSG_LOG_ID_C_00000230 _T("Temporary file path after NKF execution : %s\n")
#define MSG_LOG_ID_C_00000232 _T("Start measuring statements (STMT).\n")
#define MSG_LOG_ID_C_00000233 _T("Finished measuring statements (STMT).\n")
#define MSG_LOG_ID_C_00000235 _T("Target file. : %s\n")
#define MSG_LOG_ID_C_00000236 _T("Target file not found. : %s\n")
#define MSG_LOG_ID_C_00000237 _T("Target file not found. : %s\n")
#define MSG_LOG_ID_C_00000238 _T("Start line change count measurement.\n")
#define MSG_LOG_ID_C_00000239 _T("Target file (original) : %s\n")
#define MSG_LOG_ID_C_00000240 _T("Target file (modified) : %s\n")
#define MSG_LOG_ID_C_00000241 _T("Target file No. : %d\n")
#define MSG_LOG_ID_C_00000242 _T("The file has an unsupported language identifier.(Binary/Class/Jar) : %s\n")
#define MSG_LOG_ID_C_00000243 _T("Unspecified language identifier file as measurement target. : %s\n")
#define MSG_LOG_ID_C_00000244 _T("Unspecified language identifier file as measurement target. : %s\n")
#define MSG_LOG_ID_C_00000245 _T("Target file. : %s\n")
#define MSG_LOG_ID_C_00000246 _T("Target file's language identifier. : %s\n")
#define MSG_LOG_ID_C_00000247 _T("Target file's language identifier No. : %d\n")
#define MSG_LOG_ID_C_00000248 _T("Target file. : %s, %s\n")
#define MSG_LOG_ID_C_00000249 _T("Original text file path. : %s\n")
#define MSG_LOG_ID_C_00000250 _T("Modified text file path. : %s\n")
#define MSG_LOG_ID_C_00000251 _T("Original source code file path. : %s\n")
#define MSG_LOG_ID_C_00000252 _T("Modified source code file path. : %s\n")
#define MSG_LOG_ID_C_00000253 _T("Start measuring structure metrics.\n")
#define MSG_LOG_ID_C_00000254 _T("Target file. : %s\n")
#define MSG_LOG_ID_C_00000255 _T("Target file No. : %d\n")
#define MSG_LOG_ID_C_00000257 _T("The file has an unsupported language identifier. : %s\n")
#define MSG_LOG_ID_C_00000258 _T("The file has an unsupported language identifier.(Binary) : %s\n")
#define MSG_LOG_ID_C_00000259 _T("Unspecified language identifier file as measurement target. : %s\n")
#define MSG_LOG_ID_C_00000260 _T("Target file. : %s\n")
#define MSG_LOG_ID_C_00000261 _T("Target file's language identifier. : %s\n")
#define MSG_LOG_ID_C_00000262 _T("Target file's language identifier No. : %d\n")
#define MSG_LOG_ID_C_00000263 _T("Target file. : %s\n")
#define MSG_LOG_ID_C_00000264 _T("Temporary file path after NKF execution : %s\n")
#define MSG_LOG_ID_C_00000265 _T("Language identifier : JAVA\n")
#define MSG_LOG_ID_C_00000266 _T("Could not get java version.\n")
#define MSG_LOG_ID_C_00000267 _T("Language identifier : CS\n")
#define MSG_LOG_ID_C_00000268 _T("Language identifier : VB\n")
#define MSG_LOG_ID_C_00000269 _T("Language identifier : JS\n")
#define MSG_LOG_ID_C_00000270 _T("Could not get java version.\n")
#define MSG_LOG_ID_C_00000271 _T("Language identifier : C/CPP(SIMPLE)\n")
#define MSG_LOG_ID_C_00000272 _T("Language identifier : C/CPP(STANDARD)\n")
#define MSG_LOG_ID_C_00000273 _T("Could not get java version.\n")
#define MSG_LOG_ID_C_00000274 _T("CK metrics measurement target file list.\n")
#define MSG_LOG_ID_C_00000275 _T("CK metrics measurement support class list.\n")
#define MSG_LOG_ID_C_00000276 _T("Target file. : %s\n")
#define MSG_LOG_ID_C_00000277 _T("Target file's language identifier. : %s\n")
#define MSG_LOG_ID_C_00000278 _T("Target file's language identifier No. : %d\n")
#define MSG_LOG_ID_C_00000279 _T("Target file. : %s\n")
#define MSG_LOG_ID_C_00000280 _T("The file has an unsupported language identifier. : %s\n")
#define MSG_LOG_ID_C_00000281 _T("Measurement support class. : %s\n")
#define MSG_LOG_ID_C_00000282 _T("Non-target measurement support class : %s\n")
#define MSG_LOG_ID_C_00000283 _T("Signal accepted.\n")
#define MSG_LOG_ID_C_00000285 _T("Retrying to delete temporary folder.(%d) : %s\n")
#define MSG_LOG_ID_C_00000286 _T("Could not delete temporary folder. : %s\n")
#define MSG_LOG_ID_C_00000287 _T("Temporary folder deleted. : %s\n")
#define MSG_LOG_ID_C_00000295 _T("Start outputting external tool log.\n")
#define MSG_LOG_ID_C_00000296 _T("Finished outputting external tool log.\n")
#define MSG_LOG_ID_C_00000298 _T("Out of memory. (MSG_LOG_ID_C_00000298)\n")
#define MSG_LOG_ID_C_00000300 _T("Log character set : SYSTEM (CP : %s)\n")
#define MSG_LOG_ID_C_00000301 _T("Log character set : %s\n")
#define MSG_LOG_ID_C_00000302 _T("Invalid value was set to log character set.\n")
#define MSG_LOG_ID_C_00000303 _T("Value of the command option \"-Qlg\". : %s\n")
#define MSG_LOG_ID_C_00000304 _T("Invalid value was set to log character set.\n")
#define MSG_LOG_ID_C_00000305 _T("Value of the attribute \"CHARSET_OUT_LOG\" in the property file. : %s\n")
#define MSG_LOG_ID_C_00000306 _T("Output file (CSV) character set : SYSTEM (CP : %s)\n")
#define MSG_LOG_ID_C_00000307 _T("Output file (CSV) character set : %s\n")
#define MSG_LOG_ID_C_00000308 _T("Invalid value was set to output file (CSV) character set.\n")
#define MSG_LOG_ID_C_00000309 _T("Value of the command option \"-Qrc\". : %s\n")
#define MSG_LOG_ID_C_00000310 _T("Invalid value was set to output file (CSV) character set.\n")
#define MSG_LOG_ID_C_00000311 _T("Value of the attribute \"CHARSET_OUT_CSV\" in the property file. : %s\n")
#define MSG_LOG_ID_C_00000313 _T("Execution information.\n")
#define MSG_LOG_ID_C_00000314 _T("[INFO] executemode   = %d\n")
#define MSG_LOG_ID_C_00000315 _T("[INFO] 1:row 2:diff 3:struct 4:ck\n")
#define MSG_LOG_ID_C_00000316 _T("[INFO] outfileformat = %d\n")
#define MSG_LOG_ID_C_00000317 _T("[INFO] 1:csv 2:xml\n")
#define MSG_LOG_ID_C_00000318 _T("[INFO] outfilename   = %s\n")
#define MSG_LOG_ID_C_00000319 _T("[INFO] proffilename  = %s\n")
#define MSG_LOG_ID_C_00000320 _T("[INFO] known_opts    = %s\n")
#define MSG_LOG_ID_C_00000321 _T("[INFO] outfile mode  = %d\n")
#define MSG_LOG_ID_C_00000322 _T("[INFO] 0:new 1:add\n")
#define MSG_LOG_ID_C_00000323 _T("[INFO] output header = %d\n")
#define MSG_LOG_ID_C_00000324 _T("[INFO] output footer = %d\n")
#define MSG_LOG_ID_C_00000325 _T("[INFO] ObjectName     = %s\n")
#define MSG_LOG_ID_C_00000326 _T("[INFO] TempFolderName = %s\n")
#define MSG_LOG_ID_C_00000327 _T("[INFO] MacroAnalizer  = %s\n")
#define MSG_LOG_ID_C_00000328 _T("[INFO] SedTool        = %s\n")
#define MSG_LOG_ID_C_00000329 _T("[INFO] Diff           = %s\n")
#define MSG_LOG_ID_C_00000330 _T("[INFO] Struct(C/C++)  = %s\n")
#define MSG_LOG_ID_C_00000331 _T("[INFO] Struct(C/C++ SMP)= %s\n")
#define MSG_LOG_ID_C_00000332 _T("[INFO] Struct(JAVA)   = %s\n")
#define MSG_LOG_ID_C_00000333 _T("[INFO] Struct(CS)     = %s\n")
#define MSG_LOG_ID_C_00000334 _T("[INFO] Struct(VB)     = %s\n")
#define MSG_LOG_ID_C_00000335 _T("[INFO] Struct(JS)     = %s\n")
#define MSG_LOG_ID_C_00000336 _T("[INFO] CK(JAVA)       = %s\n")
#define MSG_LOG_ID_C_00000337 _T("[INFO] Help           = %s\n")
#define MSG_LOG_ID_C_00000338 _T("[INFO] ProcessID      = %s\n")
#define MSG_LOG_ID_C_00000339 _T("[INFO] CompType       = %s\n")
#define MSG_LOG_ID_C_00000340 _T("[INFO] CompOption     = %s\n")
#define MSG_LOG_ID_C_00000341 _T("[INFO] SystemInc      = %s\n")
#define MSG_LOG_ID_C_00000343 _T("[INFO] Qrc            = %s\n")
#define MSG_LOG_ID_C_00000344 _T("[INFO] Qlg            = %s\n")
#define MSG_LOG_ID_C_00000345 _T("[INFO] pcUserLang         = %s\n")
#define MSG_LOG_ID_C_00000346 _T("[INFO] pcUserCountry      = %s\n")
#define MSG_LOG_ID_C_00000347 _T("[INFO] pcUserOEMCodePage  = %s\n")
#define MSG_LOG_ID_C_00000348 _T("[INFO] pcUserANSICodePage = %s\n")
#define MSG_LOG_ID_C_00000349 _T("[INFO] pcUserDispLang     = %s\n")
#define MSG_LOG_ID_C_00000350 _T("[INFO] pcSysLang          = %s\n")
#define MSG_LOG_ID_C_00000351 _T("[INFO] pcSysCountry       = %s\n")
#define MSG_LOG_ID_C_00000352 _T("[INFO] pcSysOEMCodePage   = %s\n")
#define MSG_LOG_ID_C_00000353 _T("[INFO] pcSysANSICodePage  = %s\n")
#define MSG_LOG_ID_C_00000354 _T("[INFO] pcSysDispLang      = %s\n")
#define MSG_LOG_ID_C_00000355 _T("[INFO] proffilename = %s\n")
#define MSG_LOG_ID_C_00000356 _T("[INFO] DOC = %s\n")
#define MSG_LOG_ID_C_00000357 _T("[INFO] DEF = %s\n")
#define MSG_LOG_ID_C_00000358 _T("[INFO] PARSE = %s\n")
#define MSG_LOG_ID_C_00000359 _T("[INFO] SKIP  = %s\n")
#define MSG_LOG_ID_C_00000360 _T("[INFO] NKF = %s\n")
#define MSG_LOG_ID_C_00000361 _T("[INFO] NKFEXE = %s\n")
#define MSG_LOG_ID_C_00000362 _T("[INFO] NKFEXE(user-setting) = %d\n")
#define MSG_LOG_ID_C_00000363 _T("[INFO] BEAUTIFIER = %s\n")
#define MSG_LOG_ID_C_00000364 _T("[INFO] BEAUTIFIEREXE = %s\n")
#define MSG_LOG_ID_C_00000365 _T("[INFO] JAVAEXE = %s\n")
#define MSG_LOG_ID_C_00000366 _T("[INFO] OUT_FORMAT = %s\n")
#define MSG_LOG_ID_C_00000367 _T("[INFO] DIFF_OPERATION_MODE = %s\n")
#define MSG_LOG_ID_C_00000368 _T("[INFO] DIFF_BLANK = %s\n")
#define MSG_LOG_ID_C_00000369 _T("[INFO] DIFF_COUNT_MODE = %s\n")
#define MSG_LOG_ID_C_00000370 _T("[INFO] EXCEPT_BINARY = %s\n")
#define MSG_LOG_ID_C_00000371 _T("[INFO] STRUCT_FUNC_OPTION = %s\n")
#define MSG_LOG_ID_C_00000372 _T("[INFO] CMPVER = %s\n")
#define MSG_LOG_ID_C_00000373 _T("[INFO] CMPVER_JAVA = %s\n")
#define MSG_LOG_ID_C_00000374 _T("[INFO] SYSINC = %s\n")
#define MSG_LOG_ID_C_00000375 _T("[INFO] COMMENT_CASE_CONESINTSITIVE = %s\n")
#define MSG_LOG_ID_C_00000376 _T("[INFO] STMT = %s\n")
#define MSG_LOG_ID_C_00000377 _T("[INFO] STRUCT_FAN_IN_OUT = %d\n")
#define MSG_LOG_ID_C_00000378 _T("[INFO] CHARSET_OUT_CSV = %s\n")
#define MSG_LOG_ID_C_00000379 _T("[INFO] CHARSET_OUT_LOG = %s\n")
#define MSG_LOG_ID_C_00000380 _T("[INFO] NESTS_COUNT = %d\n")
#define MSG_LOG_ID_C_00000381 _T("Could not open file.(MSG_LOG_ID_C_00000381) : %s\n")
#define MSG_LOG_ID_C_00000382 _T("Could not open file.(MSG_LOG_ID_C_00000382) : %s\n")
#define MSG_LOG_ID_C_00000383 _T("Non-numerical data found in temporary CK metrics measurement results file.(MSG_LOG_ID_C_00000383) : %s\n")
#define MSG_LOG_ID_C_00000384 _T("Numerical data out of range found in temporary CK metrics measurement results file.(MSG_LOG_ID_C_00000384)\n")
#define MSG_LOG_ID_C_00000385 _T("Non-numerical data found in temporary CK metrics measurement results file.(MSG_LOG_ID_C_00000385) : %s\n")
#define MSG_LOG_ID_C_00000386 _T("Numerical data out of range found in temporary CK metrics measurement results file.(MSG_LOG_ID_C_00000386)\n")
#define MSG_LOG_ID_C_00000387 _T("Could not open file.(MSG_LOG_ID_C_00000387) : %s\n")
#define MSG_LOG_ID_C_00000388 _T("Could not open file.(MSG_LOG_ID_C_00000388) : %s\n")
#define MSG_LOG_ID_C_00000389 _T("Could not open file.(MSG_LOG_ID_C_00000389) : %s\n")
#define MSG_LOG_ID_C_00000390 _T("Could not open file.(MSG_LOG_ID_C_00000390) : %s\n")
#define MSG_LOG_ID_C_00000391 _T("Could not open file.(MSG_LOG_ID_C_00000391) : %s\n")
#define MSG_LOG_ID_C_00000392 _T("Could not open file.(MSG_LOG_ID_C_00000392) : %s\n")
#define MSG_LOG_ID_C_00000393 _T("File not found.(MSG_LOG_ID_C_00000393) : %s\n")
#define MSG_LOG_ID_C_00000394 _T("charset(MSG_LOG_ID_C_00000394) : %s\n")
#define MSG_LOG_ID_C_00000446 _T("Invalid temporary file format. : %s, L=%d\n")
#define MSG_LOG_ID_C_00000447 _T("Invalid temporary file format (unhealthy function information) : %s, %s\n")
#define MSG_LOG_ID_C_00000448 _T("Could not load temporary file : %s\n")
#define MSG_LOG_ID_C_00000449 _T("Out of memory. (MSG_LOG_ID_C_00000449)\n")
#define MSG_LOG_ID_C_00000450 _T("Out of memory. (MSG_LOG_ID_C_00000450)")
#define MSG_LOG_ID_C_00000451 _T("Out of memory. (MSG_LOG_ID_C_00000451)")
#define MSG_LOG_ID_C_00000452 _T("Out of memory. (MSG_LOG_ID_C_00000452)")
#define MSG_LOG_ID_C_00000453 _T("Out of memory. (MSG_LOG_ID_C_00000453) : DataSize=%ld")
#define MSG_LOG_ID_C_00000454 _T("The data was excluded in FANIN/FANOUT measurement. : duplicate function names, name=%s, id=%s")
#define MSG_LOG_ID_C_00000455 _T("Out of memory. (MSG_LOG_ID_C_00000455) : DataSize=%ld")
#define MSG_LOG_ID_C_00000456 _T("Could not measure FANIN/FANOUT.")
#define MSG_LOG_ID_C_00000457 _T("Out of memory. (MSG_LOG_ID_C_00000457)")
#define MSG_LOG_ID_C_00000458 _T("Could not measure FANIN/FANOUT.")
#define MSG_LOG_ID_C_00000459 _T("Out of memory. (MSG_LOG_ID_C_00000459)")
#define MSG_LOG_ID_C_00000460 _T("Out of memory. (MSG_LOG_ID_C_00000460)")
#define MSG_LOG_ID_C_00000461 _T("Out of memory. (MSG_LOG_ID_C_00000461)")
#define MSG_LOG_ID_C_00000462 _T("Could not measure FANIN/FANOUT (could not access the file).")
#define MSG_LOG_ID_C_00000463 _T("Could not measure FANIN/FANOUT (could not initialize).")
#define MSG_LOG_ID_C_00000464 _T("Out of memory. (MSG_LOG_ID_C_00000464)")
#define MSG_LOG_ID_C_00000465 _T("Out of memory. (MSG_LOG_ID_C_00000465)")
#define MSG_LOG_ID_C_00000466 _T("Could not measure FANIN/FANOUT.")
#define MSG_LOG_ID_C_00000467 _T("The data was excluded in FANIN/FANOUT measurement. : name=%s, files=%s%s, %s%s")
#define MSG_LOG_ID_C_00000468 _T("Could not measure FANIN/FANOUT (out of memory).")
#define MSG_LOG_ID_C_00000469 _T("Could not measure FANIN/FANOUT (could not access the file). : %s")
#define MSG_LOG_ID_C_00000470 _T("The data was excluded in FANIN/FANOUT measurement. : duplicate function names, name=%s, files=%s%s")
#define MSG_LOG_ID_C_00000471 _T("FANIN/FANOUT function list created. : the number of functions=%d, the number of static functions=%d")
#define MSG_LOG_ID_C_00000472 _T("Could not measure FANIN/FANOUT (could not access the file). : %s")
#define MSG_LOG_ID_C_00000473 _T("Amount of FANIN/FANOUT data : %d, MemoryAllocationSize=%d")
#define MSG_LOG_ID_C_00000474 _T("Could not access FANIN/FANOUT file. : %s")
#define MSG_LOG_ID_C_00000487 _T("Target No. : %d\n")
#define MSG_LOG_ID_C_00000488 _T("Could not count lines.\n")
#define MSG_LOG_ID_C_00000489 _T("Could not reflect set comment specifiers when counting lines.\n")
#define MSG_LOG_ID_C_00000490 _T("Could not count lines : %s\n")
#define MSG_LOG_ID_C_00000491 _T("Finished counting lines.(MSG_LOG_ID_C_00000491)\n")
#define MSG_LOG_ID_C_00000492 _T("Start line count.(MSG_LOG_ID_C_00000492) : %s\n")
#define MSG_LOG_ID_C_00000493 _T("Finished counting lines.(MSG_LOG_ID_C_00000493)\n")
#define MSG_LOG_ID_C_00000497 "Could not recognize the specified path.(ErrorCode=%d) : %s\n"
#define MSG_LOG_ID_C_00000498 "Could not recognize the specified path.(ErrorCode=%d) : %s\n"
#define MSG_LOG_ID_C_00000499 "Could not recognize the specified path.(ErrorCode=%d) : %s\\%s\n"
#define MSG_LOG_ID_C_00000500 "Could not recognize the specified path.(ErrorCode=%d) : %s\\%s\n"
#define MSG_LOG_ID_C_00000506 "Out of memory when creating file list.(MSG_LOG_ID_C_00000506)\n"
#define MSG_LOG_ID_C_00000507 "Out of memory when creating file list.(MSG_LOG_ID_C_00000507)\n"
#define MSG_LOG_ID_C_00000508 "Could not create folder.(MSG_LOG_ID_C_00000508) : %s\n"
#define MSG_LOG_ID_C_00000509 "ErrorCode=%d (MSG_LOG_ID_C_00000509)\n"
#define MSG_LOG_ID_C_00000510 "Folder created.(MSG_LOG_ID_C_00000510) : %s\n"
#define MSG_LOG_ID_C_00000511 "Could not delete folder.(MSG_LOG_ID_C_00000511) : %s\n"
#define MSG_LOG_ID_C_00000512 "ErrorCode=%d (MSG_LOG_ID_C_00000512)\n"
#define MSG_LOG_ID_C_00000513 "Folder deleted.(MSG_LOG_ID_C_00000513) : %s\n"
#define MSG_LOG_ID_C_00000514 "Start deleting folder.(MSG_LOG_ID_C_00000514) : %s\n"
#define MSG_LOG_ID_C_00000515 "Folder deleted.(MSG_LOG_ID_C_00000515)\n"
#define MSG_LOG_ID_C_00000516 "Start deleting folder.(MSG_LOG_ID_C_00000516) : %s\n"
#define MSG_LOG_ID_C_00000517 "Could not delete file.(MSG_LOG_ID_C_00000517) : %s\n"
#define MSG_LOG_ID_C_00000524 "Folder deleted.(MSG_LOG_ID_C_00000524) : %s\n"
#define MSG_LOG_ID_C_00000525 "Could not delete file.(MSG_LOG_ID_C_00000525) : %s\n"
#define MSG_LOG_ID_C_00000526 "ErrorCode=%d (MSG_LOG_ID_C_00000526)\n"
#define MSG_LOG_ID_C_00000527 "File deleted.(MSG_LOG_ID_C_00000527) : %s\n"
#define MSG_LOG_ID_C_00000528 "Rename failed.(MSG_LOG_ID_C_00000528) : %s -> %s\n"
#define MSG_LOG_ID_C_00000529 "ErrorCode=%d (MSG_LOG_ID_C_00000529)\n"
#define MSG_LOG_ID_C_00000530 "Renamed.(MSG_LOG_ID_C_00000530) : %s -> %s\n"
#define MSG_LOG_ID_C_00000531 "Temporary file created.(MSG_LOG_ID_C_00000531) : %s\n"
#define MSG_LOG_ID_C_00000532 _T("Character set.(MSG_LOG_ID_C_00000532) : %s\n")
#define MSG_LOG_ID_C_00000533 _T("Character set.(MSG_LOG_ID_C_00000533) : %s\n")
#define MSG_LOG_ID_C_00000538 _T("Target file. : %s\n")
#define MSG_LOG_ID_C_00000539 L"Could not recognize the specified path.(ErrorCode=%d) : %s\n"
#define MSG_LOG_ID_C_00000540 L"Could not recognize the specified path.(ErrorCode=%d) : %s\n"
#define MSG_LOG_ID_C_00000542 L"Could not recognize the specified path.(ErrorCode=%d) : %s\n"
#define MSG_LOG_ID_C_00000543 L"Could not recognize the specified path.(ErrorCode=%d) : %s\n"
#define MSG_LOG_ID_C_00000545 L"Could not recognize the specified path.(ErrorCode=%d) : %s\\%s\n"
#define MSG_LOG_ID_C_00000546 L"Could not recognize the specified path.(ErrorCode=%d) : %s\\%s\n"
#define MSG_LOG_ID_C_00000548 L"Could not recognize the specified path.(ErrorCode=%d) : %s\\%s\n"
#define MSG_LOG_ID_C_00000549 L"Could not recognize the specified path.(ErrorCode=%d) : %s\\%s\n"
#define MSG_LOG_ID_C_00000554 L"Rename failed. : %s -> %s\n"
#define MSG_LOG_ID_C_00000555 L"Renamed. : %s -> %s\n"
#define MSG_LOG_ID_C_00000557 L"ErrorCode=%d\n"
#define MSG_LOG_ID_C_00000558 L"Renamed. : %s -> %s\n"
#define MSG_LOG_ID_C_00000559 L"Renamed. : %s -> %s\n"
#define MSG_LOG_ID_C_00000561 L"Could not get short path.(ErrorCode=%d) : %s\n"
#define MSG_LOG_ID_C_00000562 L"Could not get short path.(ErrorCode=%d) : %s\n"
#define MSG_LOG_ID_C_00000563 L"Could not get long path.(ErrorCode=%d) : %s\n"
#define MSG_LOG_ID_C_00000564 L"Could not get long path.(ErrorCode=%d) : %s\n"
#define MSG_LOG_ID_C_00000565 L"Could not get full path.(ErrorCode=%d) : %s\n"
#define MSG_LOG_ID_C_00000566 L"Could not get full path.(ErrorCode=%d) : %s\n"
#define MSG_LOG_ID_C_00000567 L"Could not copy file. %s\n"
#define MSG_LOG_ID_C_00000568 L"ErrorCode=%d\n"
#define MSG_LOG_ID_C_00000571 L"Out of memory when creating file list.(MSG_LOG_ID_C_00000571)\n"
#define MSG_LOG_ID_C_00000572 L"Out of memory when creating file list.(MSG_LOG_ID_C_00000572)\n"
#define MSG_LOG_ID_C_00000573 L"Could not create folder.(MSG_LOG_ID_C_00000573) : %s\n"
#define MSG_LOG_ID_C_00000574 L"ErrorCode=%d (MSG_LOG_ID_C_00000574)\n"
#define MSG_LOG_ID_C_00000575 L"Folder created.(MSG_LOG_ID_C_00000575) : %s\n"
#define MSG_LOG_ID_C_00000576 L"Could not delete folder.(MSG_LOG_ID_C_00000576) : %s\n"
#define MSG_LOG_ID_C_00000577 L"ErrorCode=%d (MSG_LOG_ID_C_00000577)\n"
#define MSG_LOG_ID_C_00000578 L"Folder deleted.(MSG_LOG_ID_C_00000578) : %s\n"
#define MSG_LOG_ID_C_00000579 L"Start deleting folder.(MSG_LOG_ID_C_00000579) : %s\n"
#define MSG_LOG_ID_C_00000580 L"Folder deleted.(MSG_LOG_ID_C_00000580)\n"
#define MSG_LOG_ID_C_00000581 L"Start deleting folder.(MSG_LOG_ID_C_00000581) : %s\n"
#define MSG_LOG_ID_C_00000582 L"Could not delete file.(MSG_LOG_ID_C_00000582) : %s\n"
#define MSG_LOG_ID_C_00000589 L"Folder deleted.(MSG_LOG_ID_C_00000589) : %s\n"
#define MSG_LOG_ID_C_00000590 L"Could not delete file.(MSG_LOG_ID_C_00000590) : %s\n"
#define MSG_LOG_ID_C_00000591 L"ErrorCode=%d (MSG_LOG_ID_C_00000591)\n"
#define MSG_LOG_ID_C_00000592 L"File deleted.(MSG_LOG_ID_C_00000592) : %s\n"
#define MSG_LOG_ID_C_00000593 L"Temporary file created.(MSG_LOG_ID_C_00000593) : infoString\n"
#define MSG_LOG_ID_C_00000594 L"Could not delete file.(MSG_LOG_ID_C_00000594) : %s\n"
#define MSG_LOG_ID_C_00000595 L"File copied.(MSG_LOG_ID_C_00000595) : %s -> %s\n"
#define MSG_LOG_ID_C_00000596 _T("Converted to short path.(MSG_LOG_ID_C_00000596) : %s -> %s\n")
#define MSG_LOG_ID_C_00000597 _T("Converted to long path.(MSG_LOG_ID_C_00000597) : %s -> %s\n")
#define MSG_LOG_ID_C_00000598 _T("Converted to full path.(MSG_LOG_ID_C_00000598) : %s -> %s\n")
#define MSG_LOG_ID_C_00000599 _T("Character set.(MSG_LOG_ID_C_00000599) : %s\n")
#define MSG_LOG_ID_C_00000600 _T("Character set.(MSG_LOG_ID_C_00000600) : %s\n")
#define MSG_LOG_ID_C_00000711 "[Statement] Trace information.(MSG_LOG_ID_C_00000711)%s, %d\n"
#define MSG_LOG_ID_C_00000712 "[Statement] Count=%d : ++[%d] statements\n"
#define MSG_LOG_ID_C_00000713 "[Statement] total=%ld, current=%ld\n"
#define MSG_LOG_ID_C_00000714 "[Statement] Line=%6ld\n"
#define MSG_LOG_ID_C_00000715 "[Statement] Token=%s, "
#define MSG_LOG_ID_C_00000716 "TokenBuff=%s\n"
#define MSG_LOG_ID_C_00000717 "PassCheck=%s\n"
#define MSG_LOG_ID_C_00000718 "[Statement] The file has an unsupported language identifier. : %d\n"
#define MSG_LOG_ID_C_00000719 "[Statement] Could not parse syntax.\n"
#define MSG_LOG_ID_C_00000720 "[Statement] ClassEndLine(%d) : Line=%ld\n"
#define MSG_LOG_ID_C_00000721 "[Statement] ClassEndLine(%d) : Line=0\n"
#define MSG_LOG_ID_C_00000722 "[Statement] ClassEndLine(%d) : Line=%ld\n"
#define MSG_LOG_ID_C_00000723 "[Statement] ClassEndLine(%d) : Line=%ld\n"
#define MSG_LOG_ID_C_00000724 "[Statement] ClassEndLine(%d) : Line=%ld\n"