/*
 *  source code metrics counter
 *  Copyright (C) 2015  NEC Corporation.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef CDMTRCNTEXTTOOL_H_
#define CDMTRCNTEXTTOOL_H_

extern int CDMtrCntExtToolCreateMacroAnalizerCommand(_TCHAR **pcCommand, _TCHAR *pcInfileName, _TCHAR *pcTemp1, _TCHAR *pcTemp2, _TCHAR *pcTemp3, _TCHAR *pcOutFile);
extern int CDMtrCntExtToolCreateSedCommand(_TCHAR **pcCommand, _TCHAR *pcTemp3, _TCHAR *pcTemp4, _TCHAR *pcOutFile);
extern int CDMtrCntExtToolCreateBeautifierCommand(_TCHAR **pcCommand, _TCHAR *pcInfileName, _TCHAR *pcLangName);
extern int CDMtrCntExtToolIsExtTool(_TCHAR *pcToolPath);
extern int CDMtrCntExtToolIsExecNkf(int iLangType);
extern int CDMtrCntExtToolIsExecBeautifier(int iLangType);
extern int CDMtrCntExtToolIsExecDef(int iLangType);
extern int CDMtrCntExtToolCreateCommandParameter(_OPTFLAGS *ptOptFlags);
extern int CDMtrCntExtToolLoadNKFDLL(HINSTANCE *hDLL);
extern void CDMtrCntExtToolFreeNKFDLL(HINSTANCE hDLL);
extern int CDMtrCntExtToolDoNKFProcess(_TCHAR *psFilePath, _TCHAR *pcErrOutFile, _TCHAR *psNkfFileName, _TCHAR **ppsNkfFilePath);
extern int CDMtrCntExtToolExecNkf(_TCHAR *pcFileName, int iKind, int iLangType, int iShortPathFlag, int iCharsetFlg, _TCHAR **ppcNkfFile, _TCHAR *pcErrOutFile);
extern int CDMtrCntExtToolExecBeautifier(int iKind, _TCHAR *pcLangName, _TCHAR **ppcFileName, _TCHAR *pcErrOutFile);

#endif
