/*
 *  source code metrics counter
 *  Copyright (C) 2015  NEC Corporation.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef CDMTRCNTOUTPUTCSV_H_
#define CDMTRCNTOUTPUTCSV_H_

extern int CDMtrCntOutputCSVWriteBlank(void);
extern int CDMtrCntOutputCSVWriteHeader(void);
extern int CDMtrCntOutputCSVWriteInfomation(_SysLocale *ptSysLocal);
extern int CDMtrCntOutputCSVCountFileToOutFile(const _TCHAR *pcDistName,
        const _TCHAR *pcBaseName,
        const _TCHAR *pcFuncName,
        const _TCHAR *pcLangName,
        long *plStmt,
        _LINECOUNT *ptCountLines,
        _DIFFLINES *ptDiffLines,
        const _TCHAR *pcResStatus,
        int iFuncMatchStatus);
extern int CDMtrCntOutputCSVStructFileToOutFile(_TCHAR *pcInName, int iLangType);
extern int CDMtrCntOutputCSVCkFileToOutFile(_TCHAR *pcInName);
extern _TCHAR *CDMtrCntOutputCSVDelQuot(_TCHAR *pstrBuff);
extern int CDMtrCntOutputCSVErrFileToOutFile(const _TCHAR *pcInName, _TCHAR *pcLangName);
extern int CDMtrCntOutputCSVDiffListToOutfile( const _TCHAR *OutputLogBase, const _TCHAR *OutputLogDist, const _TCHAR *pcLangName, _TCHAR *cResStatus, _LINECOUNT_LIST *ptList);
extern int CDMtrCntOutputCSVMatchingListToOutfile( const _TCHAR *OutputLogBase, const _TCHAR *OutputLogDist, const _TCHAR *pcLangName, _TCHAR *pcResStatus, _FUNC_MATCHING_LIST *ptMatchList);

#endif
