/*
 *  source code metrics counter
 *  Copyright (C) 2015  NEC Corporation.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef CDMTRCMN_TCHAR_H_
#define CDMTRCMN_TCHAR_H_

#define _TCHAR      char
#define _T(x)       x

#define _tmain      main


#define _tprintf        printf
#define _tprintf_s      printf_s
#define _ftprintf       fprintf
#define _ftprintf_s     fprintf_s
#define _stprintf       sprintf
#define _stprintf_s     sprintf_s
#define _vtprintf       vprintf
#define _vtprintf_s     vprintf_s
#define _vftprintf      vfprintf
#define _vftprintf_s    vfprintf_s
#define _vstprintf      vsprintf
#define _vstprintf_s    vsprintf_s

#define _tscanf         scanf
#define _tscanf_s       scanf_s
#define _ftscanf        fscanf
#define _ftscanf_s      fscanf_s
#define _stscanf        sscanf
#define _stscanf_s      sscanf_s


#define _fgettc         fgetc
#define _fgetts         fgets
#define _fputtc         fputc
#define _fputts         fputs
#define _gettc          getc
#define _gettchar       getchar
#define _getts          gets
#define _getts_s        gets_s
#define _puttc          putc
#define _puttchar       putchar
#define _putts          puts
#define _ungettc        ungetc


#define _tcstod     strtod
#define _tcstol     strtol
#define _tcstoul    strtoul
#define _ttof       atof
#define _tstof      atof
#define _tstol      atol
#define _tstoi      atoi
#define _ttoi       atoi
#define _ttol       atol


#define _tcscat     strcat
#define _tcscat_s   strcat_s
#define _tcscpy     strcpy
#define _tcscpy_s   strcpy_s
#define _tcslen     strlen
#define _tcsnlen    strnlen
#define _tcsxfrm    strxfrm
#define _tcserror   strerror



#define _tsystem    system



#define _tasctime   asctime
#define _tctime     ctime
#define _tcsftime   strftime

#define _tasctime_s   asctime_s
#define _tctime_s     ctime_s



#define _tgetenv        getenv
#define _tgetenv_s      getenv_s


#define _tfdopen    fdopen
#define _tfopen     fopen
#define _tfopen_s   fopen_s
#define _tfreopen   freopen
#define _tfreopen_s freopen_s
#define _tperror    perror
#define _ttmpnam    tmpnam
#define _ttmpnam_s  tmpnam_s



#define _topen      open
#define _taccess    access

#define _tremove    remove
#define _trename    rename

#define _istcntrl       iscntrl
#define _istxdigit      isxdigit



#define _tsetlocale setlocale



#define _tcschr         strchr
#define _tcscspn        strcspn
#define _tcsncat        strncat
#define _tcsncat_s      strncat_s
#define _tcsncpy        strncpy
#define _tcsncpy_s      strncpy_s
#define _tcspbrk        strpbrk
#define _tcsrchr        strrchr
#define _tcsspn         strspn
#define _tcsstr         strstr
#define _tcstok         strtok
#define _tcstok_s       strtok_s

#define _tcscmp         strcmp
#define _tcsnccmp       strncmp
#define _tcsncmp        strncmp

#define _tcscoll        strcoll


#define _tcsclen        strlen
#define _tcscnlen       strnlen
#define _tcsclen_l(_String, _Locale) strlen(_String)
#define _tcscnlen_l(_String, _Max_count, _Locale) strnlen((_String), (_Max_count))
#define _tcsnccat       strncat
#define _tcsnccat_s     strncat_s
#define _tcsnccpy       strncpy
#define _tcsnccpy_s     strncpy_s


#endif
