/*
 *  source code metrics counter
 *  Copyright (C) 2015  NEC Corporation.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef INCLUDE_CHECK_OPT_H
#define INCLUDE_CHECK_OPT_H



#define OPT_HAS_PARAM   (1)
#define OPT_HAS_NOPARAM (0)



typedef enum {

    OPTION_ERROR     = -6,
    OPTION_NOINIT    = -5,
    OPTION_NOOPTION  = -4,
    OPTION_MUSTPARAM = -3,
    OPTION_UNKNOWN   = -2,
    OPTION_END       = -1,
} OptionType_parser;


typedef struct tag_OptionInfo {
    int   iOptionID;
    char *pcOptionStr;
    int   iHasOption;
} OptionInfo;


extern void CDMtrLibOptInitGetParameter(OptionInfo *pOptInfo, int iOptNum);
extern int  CDMtrLibOptGetParameter(int iArgNum, char *ppcArgStr[], char **ppcParamStr);
extern void CDMtrLibOptFinishGetParameter(void);


#endif
