/*
 *  source code metrics counter
 *  Copyright (C) 2015  NEC Corporation.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef CDMTRLIBPROP_H_
#define CDMTRLIBPROP_H_

typedef struct tag_PropInfo {
    char *pcAttr;
    char *pcVal;
} _PropInfo;

typedef struct tag_PropInfoList {
    int iNum;
    _PropInfo *ptPropInfo[1];
} _PropInfoList;


int CDMtrLibPropGetList(const char *pcFileName, const char *pcGroupName, _PropInfoList **pptPropList);
void CDMtrLibPropFreeList(_PropInfoList **pptPropList);

#endif
