/*
 *  source code metrics counter
 *  Copyright (C) 2015  NEC Corporation.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */

#define _CRT_SECURE_NO_WARNINGS
#include <stdio.h>
#include <string.h>
#include <setjmp.h>
#include "CDMtrSpsIface.h"
#include "CDMtrSpsCmn.h"

extern FILE *yyin, *yyout;

extern int yyparse();

jmp_buf g_cdmtrspsiface_jmp_buf;


/*!
    @brief  OC^[tFCX֐
*/
void cdmtrSpsIfaceEventFuncSet(struct ParsesEventFunc *ppef)
{
    cdmtrSpsEventFuncSet(ppef);
}

/*!
    @brief  OC^[tFCX֐
*/
void cdmtrSpsIfaceSettingFuncSet(struct ParsesSettingFunc *ppes)
{
    cdmtrSpsSettingFuncSet(ppes);
}

/*!
    @brief  ȈՃp[T֐
*/
void cdmtrSpsIfaceInit()
{
    cdmtrSpsLexerInit();
    cdmtrSpsParsesInit();
}

/*!
    @brief          ȈՃp[Ts֐
*/
int cdmtrSpsIfaceParses(char *filepath)
{
    int ires = 0 ;
    if (filepath != NULL) {
        if ((yyin = fopen(filepath, "r")) == NULL) {
            return (CDMTRSPS_RET_NG);
        }
        if (setjmp(g_cdmtrspsiface_jmp_buf) == 0) {
            ires = yyparse();
        } else {
            ires = CDMTRSPS_RET_NG;
        }
        fclose(yyin);
    }
    return (ires);
}
