/*
 *  source code metrics counter
 *  Copyright (C) 2015  NEC Corporation.
 *  
 *  This program is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU General Public License
 *  as published by the Free Software Foundation; either version 2
 *  of the License, or (at your option) any later version.
 *  
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *  
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston, MA  02110-1301, USA.
 */
#ifndef CDMTR_STMT_FILE_H
#define CDMTR_STMT_FILE_H

extern int CDMtrStmt_flg_isEOF;
extern int CDMtrStmt_flg_isTOL;
extern int CDMtrStmt_flg_isEOL;
extern int CDMtrStmt_flg_isTOF;

extern long CDMtrStmt_lineNumber;


#define CDMtrStmt_FILE_ON    (1)
#define CDMtrStmt_FILE_OFF   (0)

extern int CDMtrStmtOpenInputFile(const _TCHAR *);
extern int CDMtrStmtReadOneLine(char *, int);
extern void CDMtrStmtCloseInputFile(void);

#endif
