%{
    /*----------------------------------------------------------------------------*/
    /* include                                                                    */
    /*----------------------------------------------------------------------------*/
    #include <stdio.h>
    #include <stdlib.h>
    #include <string.h>
    #include <setjmp.h> 

    #include "CDMtrVBBison.h"
    #include "CDMtrVBCmn.h"
    #include "CDMtrVBIface.h"
    #include "CDMtrVBtypedef.h"

    /*----------------------------------------------------------------------------*/
    /* define declaration                                                         */
    /*----------------------------------------------------------------------------*/

    
    #undef YY_INPUT
    #define YY_INPUT(buffer, result, max_size) result = (*(p_method->pefSourceInput))(buffer, max_size)

    
    #define ECHO

    #define VBF_EVENT_INITIAL        (0)
    #define VBF_EVENT_SEPARATE       (1)
    #define VBF_EVENT_OTHER          (2)

    #define VBF_KIND_NONE            (0)
    #define VBF_KIND_NAME            (1)
    #define VBF_KIND_PARAM           (2)

    #define YY_FATAL_ERROR(msg) my_fatal_error( msg )

    #define _TERMINATE_                            { \
                                                        BEGIN (TERM);    \
                                                   }

    
    #define _ISFIRST_GO_NEXT_(type)                { \
                                                       if (isFirstChar) {  \
                                                           BEGIN (type);    \
                                                       }    \
                                                   }
    
    #define _GO_NEXT_(type)                        { \
                                                       if (isBlank) {  \
                                                           BEGIN (type);    \
                                                       }    \
                                                       isBlank = VBF_TRUE; \
                                                   }
    #define _GO_FUNC_(type, detail)                {    \
                                                       if (isBlank) {    \
                                                           chkfunc(VBF_EVENT_INITIAL, type, detail);    \
                                                           BEGIN (FUNC);    \
                                                       }    \
                                                       isBlank = VBF_TRUE; \
                                                   }
    #define _GO_CHKBRANCH_(type,stat)              {    \
                                                       if (isBlank) {    \
                                                           strStatInfo.itype = type;    \
                                                           strStatInfo.istatements = stat;    \
                                                           strStatInfo.ibranches = stat;    \
                                                           BEGIN (CHKBRANCH);    \
                                                       }    \
                                                       isBlank = VBF_TRUE; \
                                                   }

    #define _GO_BRANCHES_(type, stat, branch)      {    \
                                                       if (isBlank) {    \
                                                           isNextStatement = VBF_TRUE;    \
                                                           strStatInfo.itype = type;    \
                                                           strStatInfo.istatements = stat;    \
                                                           strStatInfo.ibranches = branch;    \
                                                           BEGIN (BRANCHES);    \
                                                       }    \
                                                       isBlank = VBF_TRUE; \
                                                   }

    #define _GO_CNDOPS_(type)                      {    \
                                                       if (isBlank) {    \
                                                            \
                                                           strStatInfo.itype = type;    \
                                                           strStatInfo.istatements = 1;    \
	                                                       strStatInfo.icndops++;    \
	                                                       BEGIN (CNDOPS);    \
                                                       }    \
                                                       isBlank = VBF_TRUE; \
                                                   }

    #define _RETURN_PREPRO_(type, kind)            {    \
                                                       strStatInfo.itype = type;        \
                                                       strStatInfo.istatements = 0;    \
                                                       strStatInfo.iprepkind = kind;    \
                                                       BEGIN (TERM);    \
                                                       return (VBB_PREPRO);    \
                                                   }

    #define _RETURN_END_(type)                     { \
                                                       strStatInfo.itype = type; \
                                                       strStatInfo.istatements = VBIF_STAT_OFF; \
                                                       BEGIN (TERM); \
                                                       return (VBB_BLOCK); \
                                                   }

    #define _RETURN_BLOCK_(type, stat)             { \
                                                       if (isBlank) {    \
                                                           strStatInfo.itype = type;    \
                                                           strStatInfo.istatements = stat;    \
                                                           BEGIN (TERM); \
                                                           return (VBB_BLOCK); \
                                                       }    \
                                                       isBlank = VBF_TRUE; \
                                                   }
    #define _ISFIRST_RETURN_BLOCK_(type, stat)     { \
                                                       if (isFirstChar) {    \
                                                           strStatInfo.itype = type;    \
                                                           strStatInfo.istatements = stat;    \
                                                           BEGIN (TERM); \
                                                           return (VBB_BLOCK); \
                                                       }    \
                                                       isBlank = VBF_TRUE; \
                                                   }

    #define _RETURN_(vbbtype)                      {    \
                                                       BEGIN (TERM);    \
                                                       return (vbbtype);    \
                                                   }
    #define _ADD_BRANCHES_                     {    \
                                                     strStatInfo.ibranches++; \
                                                }

    #define _ADD_CNDOPS_                     {     \
                                                if (isBlank) {    \
                                                  strStatInfo.icndops++;  \
                                                }\
                                              }
    
    #define IS_CNDOPSLINE()                  (strStatInfo.icndops > 0)

    /*----------------------------------------------------------------------------*/
    /* Function declaration                                                       */
    /*----------------------------------------------------------------------------*/

    int yywrap(void);

    static int iBasePhase = 0;
    static int chkfunc(int ieventtype, int ifunctype, int idetail);

	#ifdef YY_USE_PROTOS
	static void my_fatal_error( yyconst char msg[] );
	#else
	static void my_fatal_error( msg );
	#endif


    extern jmp_buf g_cdmtrvbiface_jmp_buf;

    static int isBlank = VBF_TRUE;

    static int isFirstChar = VBF_TRUE;

    static int isNextStatement = VBF_FALSE;

    VBF_FUNCINFO_T strFuncInfo;
    VBF_FUNCINFO_T *pFuncInfo = &strFuncInfo;

    VBF_STATINFO_T strStatInfo;
    VBF_STATINFO_T *pStatInfo = &strStatInfo;

%}

%s PHASE_2 PREPRO PREPRO_IF PREPRO_IFFALSE PREPRO_ELSEIF PREPRO_ELSEIFFALSE PREPRO_END 
%s PHASE_3 FUNC END TERM BRANCHES CNDOPS IF CHKBRANCH CHKCUSTOM CASE 

%%
 
 
 
<PHASE_2>"#"                    _ISFIRST_GO_NEXT_(PREPRO)                                        
<PHASE_2>[ ]+                   ; 
<PHASE_2><<EOF>>                _TERMINATE_
<PHASE_2>.                      {
                                  isFirstChar = VBF_FALSE;    
                                }

 
<PREPRO>"Const "                _RETURN_PREPRO_(VBIF_TYPE_PREP_CONST,   LINEDTL_PREP_CONST)      
<PREPRO>"ExternalSource"        _RETURN_PREPRO_(VBIF_TYPE_PREP_EXSOURCE,LINEDTL_PREP_EXTSOURCE)  
<PREPRO>"Else"[ \r\n]           _RETURN_PREPRO_(VBIF_TYPE_PREP_ELSE,    LINEDTL_PREP_IF)         
<PREPRO>"Region"                _RETURN_PREPRO_(VBIF_TYPE_PREP_REGION,  LINEDTL_PREP_REGION)     
<PREPRO>"ExternalChecksum"      _RETURN_PREPRO_(VBIF_TYPE_PREP_EXTCHKSUM,LINEDTL_PREP_EXTCHKSUM) 
<PREPRO>"If "                   _GO_NEXT_(PREPRO_IF)                                             
<PREPRO>"ElseIf "               _GO_NEXT_(PREPRO_ELSEIF)                                         
<PREPRO>"End "                  _GO_NEXT_(PREPRO_END)                                            
<PREPRO>[ ]+                    ; 
<PREPRO><<EOF>>                 _TERMINATE_
<PREPRO>.                       _TERMINATE_

<PREPRO_IF>"False"[ \r\n]       _GO_NEXT_(PREPRO_IFFALSE)                                        
<PREPRO_IF>[ ]+                 ; 
<PREPRO_IF><<EOF>>              _TERMINATE_
<PREPRO_IF>.                    _RETURN_PREPRO_(VBIF_TYPE_PREP_IF,      LINEDTL_PREP_IF)         

<PREPRO_IFFALSE>"Then"[ \r\n]   _RETURN_PREPRO_(VBIF_TYPE_PREP_IFFALSE, LINEDTL_PREP_IF)         
<PREPRO_IFFALSE>['\r\n]         _RETURN_PREPRO_(VBIF_TYPE_PREP_IFFALSE, LINEDTL_PREP_IF)         
<PREPRO_IFFALSE>[ ]+            ; 
<PREPRO_IFFALSE><<EOF>>         _TERMINATE_
<PREPRO_IFFALSE>.               _RETURN_PREPRO_(VBIF_TYPE_PREP_IF,      LINEDTL_PREP_IF)         

<PREPRO_ELSEIF>"False"[ \r\n]   _GO_NEXT_(PREPRO_ELSEIFFALSE)                                    
<PREPRO_ELSEIF>[ ]+             ; 
<PREPRO_ELSEIF><<EOF>>          _TERMINATE_
<PREPRO_ELSEIF>.                _RETURN_PREPRO_(VBIF_TYPE_PREP_ELSEIF,      LINEDTL_PREP_IF)     

<PREPRO_ELSEIFFALSE>"Then"[ \r\n]   _RETURN_PREPRO_(VBIF_TYPE_PREP_ELSEIFFALSE, LINEDTL_PREP_IF) 
<PREPRO_ELSEIFFALSE>['\r\n]         _RETURN_PREPRO_(VBIF_TYPE_PREP_ELSEIFFALSE, LINEDTL_PREP_IF) 
<PREPRO_ELSEIFFALSE>[ ]+            ; 
<PREPRO_ELSEIFFALSE><<EOF>>         _TERMINATE_
<PREPRO_ELSEIFFALSE>.               _RETURN_PREPRO_(VBIF_TYPE_PREP_ELSEIF,      LINEDTL_PREP_IF) 

<PREPRO_END>"If"                _RETURN_PREPRO_(VBIF_TYPE_PREP_ENDIF,   LINEDTL_PREP_IF)                
<PREPRO_END>"ExternalSource"    _RETURN_PREPRO_(VBIF_TYPE_PREP_ENDEXSOURCE, LINEDTL_PREP_EXTSOURCE)     
<PREPRO_END>"Region"            _RETURN_PREPRO_(VBIF_TYPE_PREP_ENDREGION,   LINEDTL_PREP_REGION)        
<PREPRO_END>[ ]+                ; 
<PREPRO_END><<EOF>>             _TERMINATE_
<PREPRO_END>.                   _RETURN_PREPRO_(VBIF_TYPE_PREP_OTHER,   LINEDTL_PREP_OTHER)             


 
 
 
<PHASE_3>"#"                    _ISFIRST_GO_NEXT_(TERM)                                          
<PHASE_3>"'"                    _TERMINATE_                                                      
<PHASE_3>"Declare "             _GO_NEXT_(TERM)                                                  
<PHASE_3>"Delegate "            _GO_NEXT_(TERM)                                                  
<PHASE_3>"Exit "                _GO_NEXT_(TERM)                                                  
<PHASE_3>"Continue "            _GO_NEXT_(TERM)                                                  
<PHASE_3>"Event "               _GO_NEXT_(TERM)                                                  

<PHASE_3>"NameSpace "           _GO_FUNC_(VBIF_TYPE_NAMESPACE,    VBF_FUNCDTL_NAMEONLY)          

<PHASE_3>"Class "               _GO_FUNC_(VBIF_TYPE_CLASS,        VBF_FUNCDTL_NAMEONLY)          
<PHASE_3>"Module "              _GO_FUNC_(VBIF_TYPE_MODULE,        VBF_FUNCDTL_NAMEONLY)         
<PHASE_3>"Structure "           _GO_FUNC_(VBIF_TYPE_STRUCTURE,    VBF_FUNCDTL_NAMEONLY)          

<PHASE_3>"Function "            _GO_FUNC_(VBIF_TYPE_FUNCTION,    VBF_FUNCDTL_ALL)                
<PHASE_3>"Sub "                 _GO_FUNC_(VBIF_TYPE_SUB,         VBF_FUNCDTL_ALL)                
<PHASE_3>"Property "            _GO_FUNC_(VBIF_TYPE_PROPERTY,    VBF_FUNCDTL_NAMEONLY)           
<PHASE_3>"Operator "            _GO_FUNC_(VBIF_TYPE_OPERATOR,    VBF_FUNCDTL_ALL)                
<PHASE_3>"Custom "              _GO_NEXT_(CHKCUSTOM)                                             
<PHASE_3>"Get"[( \r\n]          _GO_FUNC_(VBIF_TYPE_GET,           VBF_FUNCDTL_PARAMONLY)        
<PHASE_3>"Set"[( ]              _GO_FUNC_(VBIF_TYPE_SET,           VBF_FUNCDTL_PARAMONLY)        
<PHASE_3>"AddHandler"[( ]       _GO_FUNC_(VBIF_TYPE_ADDHANDLER,    VBF_FUNCDTL_PARAMONLY)        
<PHASE_3>"RemoveHandler"[( ]    _GO_FUNC_(VBIF_TYPE_REMOVEHANDLER, VBF_FUNCDTL_PARAMONLY)        
<PHASE_3>"RaiseEvent"[( ]       _GO_FUNC_(VBIF_TYPE_RAISEEVENT,    VBF_FUNCDTL_PARAMONLY)        

<PHASE_3>"Interface "           _RETURN_BLOCK_(VBIF_TYPE_INTERFACE,     VBIF_STAT_ON)            

<PHASE_3>"Enum "                _RETURN_BLOCK_(VBIF_TYPE_ENUM,          VBIF_STAT_ON)            
<PHASE_3>"SyncLock "            _RETURN_BLOCK_(VBIF_TYPE_SYNCLOCK,      VBIF_STAT_ON)            
<PHASE_3>"Using "               _RETURN_BLOCK_(VBIF_TYPE_USING,         VBIF_STAT_ON)            
<PHASE_3>"With "                _ISFIRST_RETURN_BLOCK_(VBIF_TYPE_WITH,  VBIF_STAT_ON)            
<PHASE_3>"While "               _GO_BRANCHES_ (VBIF_TYPE_WHILE,         VBIF_STAT_ON, 1)            

<PHASE_3>"Try"[ \r\n]           _RETURN_BLOCK_(VBIF_TYPE_TRY,           VBIF_STAT_ON)            
<PHASE_3>"Catch"[ \r\n]         _RETURN_BLOCK_(VBIF_TYPE_CATCH,         VBIF_STAT_ON)            
<PHASE_3>"Finally"[ \r\n]       _RETURN_BLOCK_(VBIF_TYPE_FINALLY,       VBIF_STAT_ON)            

<PHASE_3>"Do"[ \r\n]            _GO_CHKBRANCH_(VBIF_TYPE_DO, VBIF_STAT_ON)                       
<PHASE_3>"Loop"[ \r\n]          _GO_CHKBRANCH_(VBIF_TYPE_LOOP, VBIF_STAT_OFF)                    


 
<PHASE_3>"For "                 _GO_BRANCHES_ (VBIF_TYPE_FOR,           VBIF_STAT_ON, 1)            
<PHASE_3>"Next"[ \r\n]          _RETURN_BLOCK_(VBIF_TYPE_NEXT,          VBIF_STAT_OFF)           

<PHASE_3>"If "                  _GO_BRANCHES_( VBIF_TYPE_IF,            VBIF_STAT_ON, 1)            
<PHASE_3>"Else"[ \r\n]          _RETURN_BLOCK_(VBIF_TYPE_ELSE,          VBIF_STAT_OFF)           
<PHASE_3>"ElseIf"[ \r\n]        _GO_BRANCHES_( VBIF_TYPE_ELSEIF,        VBIF_STAT_ON, 1)            

<PHASE_3>"Select "              _GO_BRANCHES_( VBIF_TYPE_SELECT,        VBIF_STAT_ON, 0)            
<PHASE_3>"Case "                _GO_NEXT_(CASE)     

<PHASE_3>"End "                 _GO_NEXT_(END)                                                   
<PHASE_3>"If("                  { 
                                
                                    _GO_CNDOPS_( VBIF_TYPE_IFOP )
                                }
<PHASE_3>"IIf"[ ]*"("           { 
                                    _GO_CNDOPS_( VBIF_TYPE_IIF )
                                }
<PHASE_3>"("|")"                { isBlank = VBF_TRUE; } 
<PHASE_3>[ ]+                   { isBlank = VBF_TRUE; } 
<PHASE_3>[\r\n]                 {
                                   
                                   if (IS_CNDOPSLINE()) {
                                     
                                     _RETURN_BLOCK_(VBB_BLOCK, VBF_TRUE) 
                                   } else {
                                     
                                     
                                     _TERMINATE_
                                   }
                                }
<PHASE_3><<EOF>>                _TERMINATE_
<PHASE_3>.                      {
                                    isBlank = VBF_FALSE;
                                    isFirstChar = VBF_FALSE;
                                }

 
 
<FUNC>"("|[ ]+                  {   
                                    if (chkfunc(VBF_EVENT_SEPARATE, 0, 0)) {
                                        BEGIN (TERM);
                                        return (VBB_FUNCTION);
                                    }
                                }
<FUNC>"'"                       _RETURN_(VBB_FUNCTION)  
<FUNC>[\r\n]                    _RETURN_(VBB_FUNCTION)  
<FUNC><<EOF>>                   _RETURN_(VBB_FUNCTION)  
<FUNC>.                         {   
                                    chkfunc(VBF_EVENT_OTHER, 0, 0);
                                }

 
<CHKCUSTOM>"Event "             _GO_FUNC_(VBIF_TYPE_CUSTOMEVENT, VBF_FUNCDTL_NAMEONLY)     
<CHKCUSTOM>[ ]+                 ; 
<CHKCUSTOM><<EOF>>              _TERMINATE_                                                
<CHKCUSTOM>.                    _TERMINATE_                                                
 
 

<CHKBRANCH>"While "|"Until "    {BEGIN (BRANCHES);}                                   
<CHKBRANCH>[ ]+                 ; 
<CHKBRANCH><<EOF>>              _RETURN_(VBB_BLOCK)                                   
<CHKBRANCH>.                    _RETURN_(VBB_BLOCK)                                   

 

<BRANCHES>" Then"[\r\n]         _RETURN_(VBB_BLOCK)    
<BRANCHES>" Then "              {
                                    isBlank = VBF_TRUE; 
                                    _GO_NEXT_(IF)       
                                }

<BRANCHES>" And "               { 
                                    _ADD_BRANCHES_
                                    isBlank = VBF_TRUE; 
                                }
<BRANCHES>" Or "                { 
                                    _ADD_BRANCHES_
                                    isBlank = VBF_TRUE; 
                                }
<BRANCHES>" Xor "               { 
                                    _ADD_BRANCHES_
                                    isBlank = VBF_TRUE; 
                                }
<BRANCHES>" AndAlso "           { 
                                    _ADD_BRANCHES_
                                    isBlank = VBF_TRUE; 
                                }
<BRANCHES>" OrElse "            { 
                                    _ADD_BRANCHES_
                                    isBlank = VBF_TRUE; 
                                }
<BRANCHES>"If("                 { 
                                    _ADD_CNDOPS_
                                    isBlank = VBF_TRUE;
                                }
<BRANCHES>"IIf"[ ]*"("          { 
                                    _ADD_CNDOPS_
                                    isBlank = VBF_TRUE;
                                }
<BRANCHES>"("|")"               {
                                    
                                    isBlank = VBF_TRUE; 
                                }
<BRANCHES>[ ]+                  {
                                    isBlank = VBF_TRUE;
                                }
<BRANCHES>[\r\n]                _RETURN_(VBB_BLOCK)    
<BRANCHES><<EOF>>               _RETURN_(VBB_BLOCK)    
<BRANCHES>.                     {
                                    isBlank = VBF_FALSE;
                                }

<CNDOPS>"If("                  { 
                                    _ADD_CNDOPS_
                                    isBlank = VBF_TRUE;
                               }
<CNDOPS>"IIf"[ ]*"("           { 
                                    _ADD_CNDOPS_
                                    isBlank = VBF_TRUE;
                               }
<CNDOPS>"("|")"                {
                                    
                                    isBlank = VBF_TRUE;
                               }
<CNDOPS>[ ]+                   {
                                    isBlank = VBF_TRUE;
                               }

<CNDOPS>[\r\n]                _RETURN_(VBB_BLOCK)
<CNDOPS><<EOF>>               _RETURN_(VBB_BLOCK)
<CNDOPS>.                     {
                                    isBlank = VBF_FALSE;
                              }

 
 
<IF>"Else "                     {  
                                    if (isBlank) {
                                        isNextStatement = VBF_TRUE;
                                    }
                                    isBlank = VBF_TRUE;
                                }
<IF>"If "                       {   
                                    if (isBlank) {
                                        isNextStatement = VBF_TRUE;
                                        strStatInfo.istatements++;
                                        strStatInfo.icontrols++;
                                        strStatInfo.icyclowc++;
                                        strStatInfo.ibranches++;
                                        strStatInfo.inests++;
                                        BEGIN (BRANCHES);
                                    }
                                    isBlank = VBF_TRUE;
                                }
<IF>"'"                         _RETURN_(VBB_BLOCK)     
<IF>[ ]+                        { isBlank = VBF_TRUE; } 
<IF>[\r\n]                      _RETURN_(VBB_BLOCK)     
<IF><<EOF>>
<IF>.                           {   
                                    isBlank = VBF_FALSE;          
                                    strStatInfo.itype = VBIF_TYPE_IF2;
                                    if (isNextStatement) {
                                        isNextStatement = VBF_FALSE;
                                        strStatInfo.istatements++;
                                    }
                                }

<CASE>[ ]+     ; 
<CASE>"Else"   _RETURN_BLOCK_(VBIF_TYPE_CASEELSE, VBIF_STAT_ON) 
<CASE>.        _RETURN_BLOCK_(VBIF_TYPE_CASE , VBIF_STAT_ON) 



<END>"AddHandler"               _RETURN_END_(VBIF_TYPE_END_ADDHANDLER)         
<END>"Class"                    _RETURN_END_(VBIF_TYPE_END_CLASS)              
<END>"Enum"                     _RETURN_END_(VBIF_TYPE_END_ENUM)               
<END>"Event"                    _RETURN_END_(VBIF_TYPE_END_CUSTOMEVENT)        
<END>"Function"                 _RETURN_END_(VBIF_TYPE_END_FUNCTION)           
<END>"Get"                      _RETURN_END_(VBIF_TYPE_END_GET)                
<END>"If"                       _RETURN_END_(VBIF_TYPE_END_IF)                 
<END>"Interface"                _RETURN_END_(VBIF_TYPE_END_INTERFACE)          
<END>"Module"                   _RETURN_END_(VBIF_TYPE_END_MODULE)             
<END>"Namespace"                _RETURN_END_(VBIF_TYPE_END_NAMESPACE)          
<END>"Operator"                 _RETURN_END_(VBIF_TYPE_END_OPERATOR)           
<END>"Property"                 _RETURN_END_(VBIF_TYPE_END_PROPERTY)           
<END>"RaiseEvent"               _RETURN_END_(VBIF_TYPE_END_RAISEEVENT)         
<END>"RemoveHandler"            _RETURN_END_(VBIF_TYPE_END_REMOVEHANDLER)      
<END>"Select"                   _RETURN_END_(VBIF_TYPE_END_SELECT)             
<END>"Set"                      _RETURN_END_(VBIF_TYPE_END_SET)                
<END>"Structure"                _RETURN_END_(VBIF_TYPE_END_STRUCTURE)          
<END>"Sub"                      _RETURN_END_(VBIF_TYPE_END_SUB)                
<END>"SyncLock"                 _RETURN_END_(VBIF_TYPE_END_SYNCLOCK)           
<END>"Try"                      _RETURN_END_(VBIF_TYPE_END_TRY)                
<END>"While"                    _RETURN_END_(VBIF_TYPE_END_WHILE)              
<END>"With"                     _RETURN_END_(VBIF_TYPE_END_WITH)               
<END>"Using"                    _RETURN_END_(VBIF_TYPE_END_USING)              
<END>[ ]+                       ;
<END><<EOF>>                    _TERMINATE_
<END>.                          ;


<TERM><<EOF>>                   yyterminate();
<TERM>.                         ;

%%

/*----------------------------------------------------------------------------*/
/* Global function                                                            */
/*----------------------------------------------------------------------------*/

/*!
    @brief FlexW[֐
*/

void cdmtrVBLexerInit(int iphase)
{

    switch (iphase) {
    case VBIF_PHASE_INIT:
        break;

    case VBIF_PHASE_2:
        iBasePhase = PHASE_2;
        break;

    case VBIF_PHASE_3:
        iBasePhase = PHASE_3;
        break;

    default:
        iBasePhase = INITIAL;
        break;
    }

    isBlank = VBF_TRUE;
    isFirstChar = VBF_TRUE;
    isNextStatement = VBF_FALSE;

    memset(pFuncInfo, 0x00, sizeof(VBF_FUNCINFO_T));
    memset(pStatInfo, 0x00, sizeof(VBF_STATINFO_T));

    BEGIN (iBasePhase);

}

/*!
    @brief Flexf֐
*/
int yywrap(void)
{
    return 1;
}

/*!
    @brief FlexG[֐
*/
#ifdef YY_USE_PROTOS
static void my_fatal_error( yyconst char msg[] )
#else
static void my_fatal_error( msg )
char msg[];
#endif
{
    (void) fprintf( stderr, "%s\n", msg );
    longjmp(g_cdmtrvbiface_jmp_buf, -1);
}

/*----------------------------------------------------------------------------*/
/* Local function                                                             */
/*----------------------------------------------------------------------------*/

/*!
    @brief ֐͏֐ ֐Ap[^؂蕪ێB
*/
static int chkfunc(int ieventtype, int ifunctype, int idetail)
{
    int iretval = VBF_FALSE;
    int i = 0;
    int isNameEnd = VBF_FALSE;

    switch (ieventtype) {
    case VBF_EVENT_INITIAL:
        memset(&strFuncInfo, 0x00, sizeof(VBF_FUNCINFO_T));
        strFuncInfo.itype = ifunctype;

        switch (idetail) {
        case VBF_FUNCDTL_PARAMONLY:
            strFuncInfo.ikind = VBF_KIND_PARAM;
            if (yyleng > 0){
                if (yytext[yyleng-1] == '(') {
                    strFuncInfo.str_param[strFuncInfo.iparam_idx++] = '(';
                }
            }
            break;
        case VBF_FUNCDTL_NAMEONLY:
        default:
            strFuncInfo.ikind = VBF_KIND_NAME;
        }
        strFuncInfo.idetail = idetail;
        break;

    case VBF_EVENT_SEPARATE:

        if (strFuncInfo.ikind == VBF_KIND_NAME) {
            isNameEnd = VBF_FALSE;
            for (i=0; i<strFuncInfo.iname_idx; i++) {
                if (strFuncInfo.str_name[i] != ' ') {
                    isNameEnd = VBF_TRUE;
                    break;
                }
            }
        }
        if (isNameEnd) {
            if (strFuncInfo.idetail == VBF_FUNCDTL_NAMEONLY) {
                iretval = VBF_TRUE;
                break;
            }

            if (strFuncInfo.ikind == VBF_KIND_NAME) {
                strFuncInfo.ikind = VBF_KIND_PARAM;
            }
        }

    case VBF_EVENT_OTHER:

        if (strFuncInfo.ikind == VBF_KIND_NAME) {
            if (strFuncInfo.iname_idx < VBF_STRSIZE_MAX - 1) {
                strFuncInfo.str_name[strFuncInfo.iname_idx++] = yytext[0];
            }
        }
        else {
            if (strFuncInfo.iparam_idx < VBF_STRSIZE_MAX - 1) {
                strFuncInfo.str_param[strFuncInfo.iparam_idx++] = yytext[0];
            }
        }
        break;
    default:
        break;
    }
    return iretval;
}
